package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.ResourceCatelog;
import com.lightinit.hsdataportal.model.*;

import java.util.List;


public interface IResourceCatelogService {

    List<ResourceCatelogSearchList> getResourceCatelogNameAndId(String resourceType, String platformType, String ResourceCatelogType);

    List<ResourceCatelogSearchList> getResourceCatelogNameByType(String resourceCatelogType,String resourceType,String platformType) ;

    TagsSearchListOrTagsModel getTagsSearchList(String resourceType, String resourceCatelogType);

    List<SectorTagSearchList> getSectorNameList();

    String getTagsSearchListByName(String resourceType, String resourceCatelogType,String tagName) ;

    List<ResourceCatelog> getTypeList(String theme);
}
